4.2-stable build 60

Revision r21224 (build 60 started on 2021-09-29T22:04:08Z)


originally caused by:
 Started by an SCM change
Building in workspace /var/lib/jenkins/workspace/4.2-stable/DATABASE_ADAPTER/postgresql/RUBY_VER/ruby-2.4
Updating http://svn.redmine.org/redmine/branches/4.2-stable at revision '2021-09-29T15:04:08.536 -0700'
U         public/stylesheets/application.css
 U        .
At revision 21224

[ruby-2.4] $ /bin/sh -xe /tmp/jenkins6518185883202233673.sh
+ PATH=/var/lib/jenkins/ruby/ruby-2.4/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games rake -f lib/tasks/ci.rake config/database.yml BRANCH=4.2-stable
[ruby-2.4] $ /bin/sh -xe /tmp/jenkins8881214564459531851.sh
+ PATH=/var/lib/jenkins/ruby/ruby-2.4/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games bundle update
The latest bundler is 2.2.28, but you are currently running 1.15.3.
To update, run `gem install bundler`
The dependency tzinfo-data (>= 0) will be unused by any of the platforms Bundler is installing for. Bundler is installing for ruby but the dependency is only for x86-mingw32, x64-mingw32, x86-mswin32. To add those platforms to the bundle, run `bundle lock --add-platform x86-mingw32 x64-mingw32 x86-mswin32`.
The dependency ffi (>= 0) will be unused by any of the platforms Bundler is installing for. Bundler is installing for ruby but the dependency is only for x86-mingw32, x64-mingw32, x86-mswin32. To add those platforms to the bundle, run `bundle lock --add-platform x86-mingw32 x64-mingw32 x86-mswin32`.
Fetching gem metadata from https://rubygems.org/..........
Fetching version metadata from https://rubygems.org/..
Fetching dependency metadata from https://rubygems.org/.
Resolving dependencies....
Using rake 13.0.6
Using concurrent-ruby 1.1.9
Using minitest 5.14.4
Using thread_safe 0.3.6
Using builder 3.2.4
Using erubi 1.10.0
Using mini_portile2 2.4.0
Using crass 1.0.6
Using rack 2.2.3
Using nio4r 2.5.8
Using websocket-extensions 0.1.5
Using mini_mime 1.0.3
Using method_source 1.0.0
Using thor 1.1.0
Using arel 9.0.0
Using marcel 1.0.2 (was 1.0.1)
Using public_suffix 4.0.6
Using ast 2.4.2
Using bundler 1.15.3
Using regexp_parser 1.8.2
Using childprocess 3.0.0
Using chunky_png 1.4.0
Using csv 3.1.5
Using docile 1.3.5
Using htmlentities 4.3.4
Using mini_magick 4.11.0
Using mocha 1.13.0
Using net-ldap 0.17.0
Using parallel 1.20.1
Using pg 1.2.3
Using ruby-openid 2.9.2
Using rainbow 3.0.0
Using rbpdf-font 1.19.1
Using redcarpet 3.5.1
Using rexml 3.2.5
Using rotp 6.2.0
Fetching rouge 3.26.1 (was 3.26.0)
Installing rouge 3.26.1 (was 3.26.0)
Using rqrcode_core 1.2.0
Using ruby-progressbar 1.11.0
Fetching unicode-display_width 2.1.0 (was 2.0.0)
Installing unicode-display_width 2.1.0 (was 2.0.0)
Using rubyzip 2.3.2
Using simplecov-html 0.12.3
Using yard 0.9.26
Using i18n 1.8.10
Using tzinfo 1.2.9
Using nokogiri 1.10.10
Using rack-test 1.1.0
Using sprockets 3.7.2
Using request_store 1.5.0
Fetching puma 5.5.0 (was 5.4.0)
Installing puma 5.5.0 (was 5.4.0) with native extensions
Using websocket-driver 0.7.5
Using mail 2.7.1
Using addressable 2.8.0
Using parser 3.0.2.0
Using rack-openid 1.4.2
Using rbpdf 1.20.1
Using rqrcode 2.1.0
Using selenium-webdriver 3.142.7
Using simplecov 0.18.5
Using activesupport 5.2.6
Using loofah 2.12.0
Using xpath 3.2.0
Gem::Ext::BuildError: ERROR: Failed to build gem native extension.

current directory:
/var/lib/jenkins/ruby/ruby-2.4.1/lib/ruby/gems/2.4.0/gems/puma-5.5.0/ext/puma_http11
/var/lib/jenkins/ruby/ruby-2.4.1/bin/ruby -r ./siteconf20210929-8935-10daiaq.rb
extconf.rb
using OpenSSL pkgconfig (openssl.pc)
checking for openssl/bio.h... yes
checking for DTLS_method() in openssl/ssl.h... yes
checking for TLS_server_method() in openssl/ssl.h... no
checking for SSL_CTX_set_min_proto_version(NULL, 0) in openssl/ssl.h... no
checking for X509_STORE_up_ref()... *** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of necessary
libraries and/or headers.  Check the mkmf.log file for more details.  You may
need configuration options.

Provided configuration options:
	--with-opt-dir
	--without-opt-dir
	--with-opt-include
	--without-opt-include=${opt-dir}/include
	--with-opt-lib
	--without-opt-lib=${opt-dir}/lib
	--with-make-prog
	--without-make-prog
	--srcdir=.
	--curdir
	--ruby=/var/lib/jenkins/ruby/ruby-2.4.1/bin/$(RUBY_BASE_NAME)
	--with-puma_http11-dir
	--without-puma_http11-dir
	--with-puma_http11-include
	--without-puma_http11-include=${puma_http11-dir}/include
	--with-puma_http11-lib
	--without-puma_http11-lib=${puma_http11-dir}/lib
	--with-openssl-dir
	--without-openssl-dir
	--with-openssl-include
	--without-openssl-include=${openssl-dir}/include
	--with-openssl-lib
	--without-openssl-lib=${openssl-dir}/lib
	--with-openssl-config
	--without-openssl-config
	--with-pkg-config
	--without-pkg-config
/var/lib/jenkins/ruby/ruby-2.4.1/lib/ruby/2.4.0/mkmf.rb:309:in `initialize': No
such file or directory @ rb_sysopen - mkmftmp1.log (Errno::ENOENT)
	from /var/lib/jenkins/ruby/ruby-2.4.1/lib/ruby/2.4.0/mkmf.rb:309:in `open'
	from /var/lib/jenkins/ruby/ruby-2.4.1/lib/ruby/2.4.0/mkmf.rb:309:in `log_open'
	from /var/lib/jenkins/ruby/ruby-2.4.1/lib/ruby/2.4.0/mkmf.rb:318:in `open'
from /var/lib/jenkins/ruby/ruby-2.4.1/lib/ruby/2.4.0/mkmf.rb:351:in `block in
postpone'
	from /var/lib/jenkins/ruby/ruby-2.4.1/lib/ruby/2.4.0/mkmf.rb:321:in `open'
	from /var/lib/jenkins/ruby/ruby-2.4.1/lib/ruby/2.4.0/mkmf.rb:347:in `postpone'
from /var/lib/jenkins/ruby/ruby-2.4.1/lib/ruby/2.4.0/mkmf.rb:944:in
`checking_for'
from /var/lib/jenkins/ruby/ruby-2.4.1/lib/ruby/2.4.0/mkmf.rb:1054:in
`have_func'
	from extconf.rb:35:in `<main>'

extconf failed, exit code 1

Gem files will remain installed in
/var/lib/jenkins/ruby/ruby-2.4.1/lib/ruby/gems/2.4.0/gems/puma-5.5.0 for
inspection.
Results logged to
/var/lib/jenkins/ruby/ruby-2.4.1/lib/ruby/gems/2.4.0/extensions/x86-linux/2.4.0-static/puma-5.5.0/gem_make.out

An error occurred while installing puma (5.5.0), and Bundler cannot continue.
Make sure that `gem install puma -v '5.5.0'` succeeds before bundling.

In Gemfile:
  puma
Build step 'Execute shell' marked build as failure
Finished: FAILURE